QGIS Application - Bug report #2713
"Leaking" strokes using non-continuos outline
2010-05-13 01:32 PM - Sandro Santill

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 12773
Description

When changing the outline option of a polygon layer to non-linear
(dashed, dotted and so on) the resulting rendering shows more lines
than it should. Seems like a visual leak.

| attach a screenshot showing the correct rendering (the plain one)
and the dashed (bogus) one.

Resizing the viewport or panning doesn't fix the rendering problem.

This is trunk r13473, on Ubuntu 8.10 with its own packaged qt libs.

History

#1 - 2010-07-19 02:30 AM - gjm -

The recent assignment to jef was unintended. There seems to be no way to put it back to 'nobody" :(

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

#4 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:37 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-07-12 03:59 PM - Nyall Dawson
- Status changed from Open to Feedback

- Assignee deleted (zxglive2006 -)
- Pull Request or Patch supplied set to No

Is this still an issue with current versions?
#7 - 2015-07-13 03:40 AM - Sandro Santilli
- Resolution set to worksforme

- Status changed from Feedback to Closed

Can't reproduce, this ticket does not include enough information to try better. My fault. Will re-open or file a new one shall it happen again.
